SETRUID(3)

NAME
setruid, setrgid - set user and group ID

SYNOPSIS
#include <sys/types.h>
int
setruid(uid_t uid);
int
setrgid(gid_t gid);

DESCRIPTION
The setruid() function (setrgid()) sets the real user ID (group ID) of the current process to the specified value.

RETURN VALUES
Upon success, these functions return 0; otherwise -1 is returned.

If the user is not the super user, or the uid (gid) specified is not the real or effective ID of the process, these functions return -1.

SEE ALSO
setuid(2), setgid(2), seteuid(2), setegid(2), getuid(2), getgid(2)

HISTORY
The setruid() and setrgid() syscalls appeared in 4.2BSD and were dropped in 4.4BSD.